//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Graph_U1.h"
//---------------------------------------------------------------------------
#pragma link "Mystd"
#pragma link "zAnimate"
#pragma link "Blend"
#pragma link "Std2"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Randomize();
  CheckBox1->Checked=True;
  CheckBox2->Checked=False;
  CheckBox3->Checked=True;
  CheckBox4->Checked=False;
  zColorBtn1Click(this); // Get the first dataset
}
//---------------------------------------------------------------------------
void __fastcall TForm1::zColorBtn1Click(TObject *Sender)
{
  for (int i=0;i<48;i++){
  // get new data to show
    Data1[i]=random(3500);
    Data2[i]=random(3500);
    Data3[i]=random(3500);
    Data4[i]=random(3500);
  }
  zTileMap1->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckBox1Click(TObject *Sender)
{
  zTileMap1->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::zTileMap1Paint(TObject *Sender)
{
  int H;
  int W; // For height and width

  H=zTileMap1->Height;
  W=zTileMap1->Width;
  zCompCanvas1->StartPaint();
//  With zCompCanvas1.Canvas Do Begin
  zCompCanvas1->Canvas->MoveTo(1,0);
  zCompCanvas1->Canvas->Pen->Color=clBlack;
  zCompCanvas1->Canvas->Pen->Width=2;
  zCompCanvas1->Canvas->LineTo(1,H-1);
  zCompCanvas1->Canvas->LineTo(W,H-1);

  // Lines, Horizontal
  zCompCanvas1->Canvas->Pen->Width=1;
  for(int I=0;I<240;I++){
    if (((I+1) % 10)==0) {
      zCompCanvas1->Canvas->MoveTo(I,H-5);
      zCompCanvas1->Canvas->LineTo(I,H-1);
    }
  }

  //Lines, vertical
  zCompCanvas1->Canvas->Pen->Width=1;
  for (int I=1;I<17;I++) {
    zCompCanvas1->Canvas->MoveTo(5,180-((180 / 16)*I)+1);
    zCompCanvas1->Canvas->LineTo(0,180-((180 / 16)*I)+1);
  }

  //First dataset
    if (CheckBox2->Checked) {
      zCompCanvas1->Canvas->Pen->Color=clLime;
      zCompCanvas1->Canvas->Pen->Width=1;
      zCompCanvas1->Canvas->MoveTo(2,180-((Data1[0] / 20)+2));
      for (int I=1;I<48;I++){
        zCompCanvas1->Canvas->LineTo((I*(W / 48))+2,180-((Data1[I] / 20)+2));
      }
  }
  //Second dataset
    if (CheckBox1->Checked) {
      zCompCanvas1->Canvas->Pen->Color=clRed;
      zCompCanvas1->Canvas->Pen->Width=1;
      zCompCanvas1->Canvas->MoveTo(2,180-((Data2[0] / 20)+2));
      for (int I=1;I<48;I++){
        zCompCanvas1->Canvas->LineTo((I*(W / 48))+2,180-((Data2[I] / 20)+2));
      }
  }
  //Third dataset
    if (CheckBox3->Checked) {
      zCompCanvas1->Canvas->Pen->Color=clBlue;
      zCompCanvas1->Canvas->Pen->Width=1;
      zCompCanvas1->Canvas->MoveTo(2,180-((Data3[0] / 20)+2));
      for (int I=1;I<48;I++){
        zCompCanvas1->Canvas->LineTo((I*(W / 48))+2,180-((Data3[I] / 20)+2));
      }
  }
  //Fourth dataset
    if (CheckBox4->Checked) {
      zCompCanvas1->Canvas->Pen->Color=clFuchsia;
      zCompCanvas1->Canvas->Pen->Width=1;
      zCompCanvas1->Canvas->MoveTo(2,180-((Data4[0] / 20)+2));
      for (int I=1;I<48;I++){
        zCompCanvas1->Canvas->LineTo((I*(W / 48))+2,180-((Data4[I] / 20)+2));
      }
  }
  zCompCanvas1->EndPaint();

}
//---------------------------------------------------------------------------